# List operation blocks (deprecated) Lists all operation blocks for an organization.
This endpoint is deprecated and no longer supported after December 19th, 2025. Please update your integration to use the v2 version before this date. # OpenAPI definition ```json { "openapi": "3.0.0", "info": { "title": "Banking - Transaction banking", "version": "0.9.0", "description": "Transaction banking API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Operations blocks", "description": "Operations blocks endpoints" } ], "components": { "parameters": { "CursorQuery": { "name": "cursor", "in": "query", "description": "Cursor to the next page of results. If no value is specified, it fetches the first page.", "schema": { "type": "string" }, "example": "1234" }, "LimitQuery": { "name": "limit", "in": "query", "description": "Maximum number of items per page. Defaults to `10`", "schema": { "type": "integer", "format": "int32", "default": 10, "maximum": 20 }, "example": 20 } }, "schemas": { "Cursor": { "type": "string", "description": "Cursor pointing to the next page of results", "example": "eyJJRCI6IjBjOGVhMTA4LWNhZTYtNDA2Mi1iMmQzLTFhMTZkNmJiNGIyOCIsIk9yZ0lEIjoiMDllYThhMDQtNWY5My0xMWVkLTliNmEtMDI0MmFjMTIwMDAyIn0=" }, "DivisionCode": { "type": "string", "maxLength": 36, "description": "Code used to identify your division within the organization. Division code should only contain letters, numbers, and hyphens.", "example": "US" }, "ErrorCode": { "description": "Error code\n`minLength: 1`\n`maxLength: 12`\n", "type": "string", "minLength": 1, "maxLength": 12, "example": "WPMT0017" }, "ErrorMessage": { "description": "Error message\n`minLength: 1`\n`maxLength: 1000`\n", "type": "string", "minLength": 1, "maxLength": 1000, "example": "Invalid JSON payload received: Error unmarshalling request" }, "ErrorResponse": { "type": "object", "properties": { "code": { "$ref": "#/components/schemas/ErrorCode" }, "message": { "$ref": "#/components/schemas/ErrorMessage" } } }, "ListOperationsBlocksV1": { "title": "ListOperationsBlocks", "type": "object", "properties": { "operation_blocks": { "type": "array", "description": "A list of operation blocks", "items": { "$ref": "#/components/schemas/OperationsBlockV1" } }, "pagination": { "$ref": "#/components/schemas/Pagination" } } }, "MaxItemsPerPage": { "type": "integer", "format": "int32", "description": "Maximum number of items per page", "example": 10 }, "OperationsBlockV1": { "type": "object", "description": "Operations block", "properties": { "id": { "$ref": "#/components/schemas/OperationsBlockV1ID" }, "description": { "$ref": "#/components/schemas/OperationsBlockDescription" }, "division_code": { "$ref": "#/components/schemas/DivisionCode" }, "program_id": { "$ref": "#/components/schemas/ProgramID" }, "created_at": { "$ref": "#/components/schemas/OperationBlockCreatedAt" } }, "required": [ "id", "description" ] }, "OperationBlockCreatedAt": { "type": "string", "format": "date-time", "description": "Operation block creation timestamp (ISO 8601). Format = `YYYY-MM-DDTHH:mm:ss.sssssssssZ`.", "example": "2024-12-16T06:50:08.83861056Z" }, "OperationsBlockDescription": { "type": "string", "maxLength": 100, "description": "Operations block description", "example": "FDIC operations block" }, "OperationsBlockV1ID": { "type": "integer", "format": "int64", "description": "Operations block ID", "minimum": 0, "maximum": 99999999999, "example": 15 }, "Pagination": { "type": "object", "description": "Data related to list pagination using a cursor.", "properties": { "limit": { "$ref": "#/components/schemas/MaxItemsPerPage" }, "cursor": { "$ref": "#/components/schemas/Cursor" } } }, "ProgramID": { "type": "integer", "format": "int64", "maximum": 99999999999, "description": "Program ID. The program must belong to the organization. Use [List programs](https://developers.pismo.io/pismo-docs/reference/programs-1) to view a list of the program IDs for the organization.\n\nThis program must be bound to the division. You can attach the program with either of the following endpoints:\n[Create division](https://developers.pismo.io/pismo-docs/reference/post-division-v2)\n[Patch division](https://developers.pismo.io/pismo-docs/reference/patch-division-v2)\n", "example": 8674 } }, "responses": { "401Unauthorized": { "description": "Access token is missing or invalid" }, "403Forbidden": { "description": "The request has been lost" }, "500InternalServer": { "description": "Internal Server Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "Generic internal error": { "value": { "code": "ECMN9999", "message": "Internal error" } } } } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "paths": { "/corporate/v1/operations-blocks": { "get": { "summary": "List operation blocks (deprecated)", "deprecated": true, "operationId": "corporate-v1-list-operation-blocks", "description": "Lists all operation blocks for an organization.
\nThis endpoint is deprecated and no longer supported after December 19th, 2025. Please update your integration to use the v2 version before this date.\n", "tags": [ "Operations blocks" ], "parameters": [ { "$ref": "#/components/parameters/CursorQuery" }, { "$ref": "#/components/parameters/LimitQuery" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ListOperationsBlocksV1" }, "examples": { "Operation blocks": { "value": { "operation_blocks": [ { "id": 15, "description": "FDIC operation block" }, { "id": 16, "description": "Division block", "division_code": "my-division-code", "program_id": 25 } ], "pagination": { "limit": 10, "cursor": "eyJJRCI6IjBjOGVhMTA4LWNhZTYtNDA2Mi1iMmQzLTFhMTZkNmJiNGIyOCIsIk9yZ0lEIjoiMDllYThhMDQtNWY5My0xMWVkLTliNmEtMDI0MmFjMTIwMDAyIn0=" } } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "invalid cursor": { "value": { "code": "WCMN0004", "message": "Invalid cursor" } } } } } }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "403": { "$ref": "#/components/responses/403Forbidden" }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```